2015年2月25日水曜日

【トラブル】WPML 3.1.8.5にアップデート失敗して動作しない(解決策あり)


ということで多言語サイトが単一言語サイトになってしまっていたのでした。
WordPressではプラグインは自動更新するのが一般的なので、多くの人がひっかかっているんじゃないのかなぁと思います。私の場合には、2015年2月25日の午前1時頃に仕込んでいたプラグイン自動アップデートをしたときに問題発生していました。

原因


WPML 3.1.8.5のプラグインフォルダのミス
  • WPML 3.1.8.4以下: wp-content/plugins/sitepress-multilingual-cms
  • WPML 3.1.8.5: wp-content/plugins/sitepress-multilingual-cms-3.1.8.5
ということで、「sitepress-multilingual-cms」のはずが新しいプラグインを公開したときに、フォルダにバージョンナンバーをつけたままやっちゃったんだろうなぁと推測。


関連情報

解決方法

Google+ Badge